-------------------------------------
-- ,    
-- guid 
-------------------------------------

--    
CREATE TABLE tbPhoneType_G
(
 idPhoneType uniqueidentifier DEFAULT NEWID(), 
 vcTypeName varchar(20),

 CONSTRAINT PK_idPhoneType_G PRIMARY KEY (idPhoneType),
)

--   
CREATE TABLE tbPhoneNumbers_G
(
  --  
  idPhoneNumbers uniqueidentifier DEFAULT NEWID(), 
  idPhoneType uniqueidentifier, 
  vcPhoneNumber varchar(15),

  --  
  CONSTRAINT PK_idPhoneNumbers_G PRIMARY KEY (idPhoneNumbers),
  CONSTRAINT FK_idPhoneType_G FOREIGN KEY (idPhoneType)
     REFERENCES tbPhoneType_G (idPhoneType), 

  --  
  CONSTRAINT check_vcPhonenumber_G CHECK (vcPhonenumber LIKE 
    '([0-9][0-9][0-9]) [0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9]')
)

--    - 
INSERT INTO tbPhoneType_G
VALUES (NewID(), '')

--    
INSERT INTO tbPhoneType_G (vcTypeName)
VALUES ('')


--   
SELECT * 
FROM tbPhoneType_G

--  
DELETE FROM tbPhoneType_G

--   
ALTER TABLE tbPhoneType_G
ADD [id] int IDENTITY(1, 1)

--   
SELECT * 
FROM tbPhoneType_G
ORDER BY [id]

--   
DECLARE @TypeID uniqueidentifier

SELECT @TypeID=idPhoneType 
FROM tbPhoneType_G 
WHERE vcTypeName=''

INSERT INTO tbPhoneNumbers_G (idPhoneType, vcPhoneNumber)
VALUES (@TypeID, '(000) 912-12-12')

--   
SELECT * 
FROM tbPhoneType_G pt, tbPhoneNumbers_G pn
WHERE pt.idPhoneType=pn.idPhoneType

--   
DECLARE @TypeID uniqueidentifier

SET @TypeID='{09F972F4-CFF9-4E96-9B7C-14AA04B835F3}'

INSERT INTO tbPhoneNumbers_G (idPhoneType, vcPhoneNumber)
VALUES (@TypeID, '(000) 112-10-10')


--    
INSERT INTO tbPhoneNumbers_G (idPhoneType, vcPhoneNumber)
VALUES ('{09F972F4-CFF9-4E96-9B7C-14AA04B835F3}', '(000) 222-10-10')

--     
DECLARE @TypeID uniqueidentifier

SET @TypeID=NewID()

INSERT INTO tbPhoneType_G
VALUES (@TypeID, ' ')

INSERT INTO tbPhoneNumbers_G (idPhoneType, vcPhoneNumber)
VALUES (@TypeID, '(901) 111-11-11')

--    
INSERT INTO tbPhoneNumbers_G (idPhoneType, vcPhoneNumber)
VALUES ('{09F972F4-CFF9-4E96-9B7C-14AA04B835F3}', '(000) 222-10-10')

--      
--    
DECLARE @TypeID uniqueidentifier

IF NOT EXISTS (SELECT idPhoneType
               FROM tbPhoneType_G 
               WHERE vcTypeName=' ')
 BEGIN
  SET @TypeID=NewID()
  INSERT INTO tbPhoneType_G
  VALUES (@TypeID, ' ')
  print '  " "';
 END
ELSE
 BEGIN
  print '   ,  ';

  SELECT @TypeID=idPhoneType
  FROM tbPhoneType_G 
  WHERE  vcTypeName=' '
 END

INSERT INTO tbPhoneNumbers_G (idPhoneType, vcPhoneNumber)
VALUES (@TypeID, '(901) 111-11-11')
