-------------------------------------
-- ,   
--    1C 
-------------------------------------

------------------------------------
-- 
------------------------------------
--  
ALTER DATABASE OneC
SET RECOVERY FULL

--    
EXEC sp_dboption 'FlenovSQLBook', 'auto create statistics', 'TRUE'

--    
EXEC sp_dboption 'FlenovSQLBook', 'auto update statistics', 'TRUE'

------------------------------------
--  
------------------------------------

--    
BACKUP DATABASE OneC
TO  DISK = N'c:\backup\fullcopy.bak' 
WITH  INIT,  NOUNLOAD,  NOSKIP,  STATS = 10,  NOFORMAT

--    
--      
declare @path varchar(50)
SET @path='c:\backup\'+cast(GETDATE() AS varchar(50))+'.bak' 

BACKUP DATABASE OneC
TO  DISK = @path
WITH  INIT,  NOUNLOAD,  NOSKIP,  STATS = 10,  NOFORMAT

--    
--      
--     
declare @path varchar(50)
SET @path='c:\backup\'+REPLACE(cast(GETDATE() AS varchar(50)), ':', '-')+'.bak' 

BACKUP DATABASE OneC
TO  DISK = @path
WITH  INIT,  NOUNLOAD,  NOSKIP,  STATS = 10,  NOFORMAT

--    
BACKUP LOG OneC 
TO  DISK = N'c:\backup\logcopy'
WITH  NOUNLOAD,  NOSKIP, STATS = 10,  NOFORMAT

--    
declare @path varchar(50)
SET @path='c:\backup\'+REPLACE(cast(GETDATE() AS varchar(50)), ':', '-')+'.log' 

BACKUP LOG OneC 
TO  DISK = @path
WITH  INIT, NOUNLOAD,  NOSKIP, STATS = 10,  NOFORMAT

------------------------------------
--  
------------------------------------

--   
RESTORE DATABASE OneC
   FROM DISK='c:\Backup\Aug 30 2005 11-20AM.bak'

--      
RESTORE DATABASE OneC
   FROM DISK='c:\Backup\Aug 30 2005 11-20AM.bak'
   WITH NORECOVERY

--  
RESTORE LOG OneC
FROM DISK='c:\backup\Aug 30 2005 11-20AM.log'


------------------------------------
--  
------------------------------------

--  
use msdb
exec sp_add_operator @name = '',
   @enabled = 1,
   @email_address ='[SMTP:flenov@mail.ru]',
   @netsend_address ='flenov'

--     
USE msdb
EXEC sp_add_job @job_name = '  ', 
   @enabled = 1,
   @description = '        ',
   @notify_level_eventlog = 3,
   @notify_level_email = 3,
   @notify_level_netsend = 2,
   @notify_email_operator_name = '',
   @notify_netsend_operator_name = ''

--     
	USE msdb
	EXEC sp_add_job @job_name = ' ', 
	   @enabled = 1,
	   @description = '       ',
	   @notify_level_eventlog = 3,
	   @notify_level_email = 3,
	   @notify_level_netsend = 1,
	   @notify_email_operator_name = '',
	   @notify_netsend_operator_name = ''

--  	
EXEC sp_apply_job_to_targets @job_name = '  ',
 @target_servers='bigserver\flenov', @operation=APPLY

EXEC sp_apply_job_to_targets @job_name = ' ',
 @target_servers='bigserver\flenov', @operation=APPLY

--    
EXEC sp_add_jobstep 
 @job_name = '  ',
 @step_name = '',
 @subsystem = 'TSQL',
 @command = 'declare @path varchar(50) 
     SET @path=''c:\backup\''+
         REPLACE(cast(GETDATE() AS varchar(50)), '':'', ''-'')
         +''.bak'' 
     BACKUP DATABASE OneC 
     TO  DISK = @path 
     WITH  INIT,  NOUNLOAD,  NOSKIP,  STATS = 10,  NOFORMAT', 
 @database_name = 'FlenovSQLBook',
 @on_success_action = 1,
 @on_fail_action = 2

EXEC sp_add_jobstep 
 @job_name = ' ',
 @step_name = '',
 @subsystem = 'TSQL',
 @command = 'declare @path varchar(50) 
     SET @path=''c:\backup\''+
         REPLACE(cast(GETDATE() AS varchar(50)), '':'', ''-'')
         +''.log'' 
     BACKUP LOG OneC 
     TO  DISK = @path
     WITH  INIT, NOUNLOAD,  NOSKIP, STATS = 10,  NOFORMAT', 
 @database_name = 'FlenovSQLBook',
 @on_success_action = 1,
 @on_fail_action = 2

--   
EXEC sp_add_jobschedule 
   @job_name = '  ', 
   @name = '    ',
   @freq_type = 32,
   @freq_interval = 9,
   @active_start_date = 20050101,
   @active_start_time = 183000

EXEC sp_add_jobschedule 
   @job_name = '  ', 
   @name = '    ',
   @freq_type = 32,
   @freq_interval = 9,
   @freq_subday_type=8,
   @freq_subday_interval=1, 
   @active_start_date = 20050101,
   @active_start_time = 080000
   @active_end_time = 180000
