-------------------------------------
-- ,   
--  
-------------------------------------

--    ,   
DROP TABLE LinkTable
DROP TABLE Names
DROP TABLE Phones

--   
CREATE TABLE Names
(
 idName uniqueidentifier DEFAULT NEWID(), 
 vcName varchar(50),
 CONSTRAINT PK_guid PRIMARY KEY (idName)
)

--   
CREATE TABLE Phones
(
 idPhone uniqueidentifier DEFAULT NEWID(),
 vcPhone varchar(10), 
 CONSTRAINT PK_idPhone PRIMARY KEY (idPhone)
)

--   
CREATE TABLE LinkTable
(
 idLinkTable uniqueidentifier DEFAULT NEWID(),
 idName uniqueidentifier, 
 idPhone uniqueidentifier, 

 CONSTRAINT PK_idLinkTable PRIMARY KEY (idLinkTable),

 CONSTRAINT FK_idPhone FOREIGN KEY (idPhone)
   REFERENCES Phones (idPhone),
 CONSTRAINT FK_idName FOREIGN KEY (idName)
   REFERENCES Names (idName)
)

--     
DECLARE @ID1 uniqueidentifier
DECLARE @ID2 uniqueidentifier

--  
SET @ID1=NEWID()
SET @ID2=NEWID()

--  
INSERT INTO Names 
VALUES(@ID1, '', '', '')

--    
INSERT INTO Phones 
VALUES(@ID2, '39927321')

--     
INSERT INTO LinkTable (idName, idPhone) 
VALUES(@ID1, @ID2)

--  
SELECT vcName, vcPhone 
FROM Names n, Phones p, LinkTable l
WHERE n.idName=l.idName AND p.idPhone=l.idPhone

--  
INSERT INTO Names (vcName) VALUES('')
INSERT INTO Names (vcName) VALUES('')
INSERT INTO Names (vcName) VALUES('')

--   
INSERT INTO Phones (vcPhone) VALUES('12387264')
INSERT INTO Phones (vcPhone) VALUES('45435345')
INSERT INTO Phones (vcPhone) VALUES('89349234')

--   1
DECLARE @ID1 uniqueidentifier
DECLARE @ID2 uniqueidentifier

SELECT @ID1=idName FROM Names WHERE vcName=''
SELECT @ID2=idPhone FROM Phones WHERE vcPhone='12387264'

INSERT INTO LinkTable (idName, idPhone) 
VALUES(@ID1, @ID2)

--   2
DECLARE @ID1 uniqueidentifier
DECLARE @ID2 uniqueidentifier

SELECT @ID1=idName FROM Names WHERE vcName=''
SELECT @ID2=idPhone FROM Phones WHERE vcPhone='12387264'

INSERT INTO LinkTable (idName, idPhone) 
VALUES(@ID1, @ID2)

--   3
DECLARE @ID1 uniqueidentifier
DECLARE @ID2 uniqueidentifier

SELECT @ID1=idName FROM Names WHERE vcName=''
SELECT @ID2=idPhone FROM Phones WHERE vcPhone='89349234'

INSERT INTO LinkTable (idName, idPhone) 
VALUES(@ID1, @ID2)

--   4
DECLARE @ID1 uniqueidentifier
DECLARE @ID2 uniqueidentifier

SELECT @ID1=idName FROM Names WHERE vcName=''
SELECT @ID2=idPhone FROM Phones WHERE vcPhone='89349234'

INSERT INTO LinkTable (idName, idPhone) 
VALUES(@ID1, @ID2)

--   5
DECLARE @ID1 uniqueidentifier
DECLARE @ID2 uniqueidentifier

SELECT @ID1=idName FROM Names WHERE vcName=''
SELECT @ID2=idPhone FROM Phones WHERE vcPhone='45435345'

INSERT INTO LinkTable (idName, idPhone) 
VALUES(@ID1, @ID2)

--  
SELECT vcName, vcPhone 
FROM Names n, Phones p, LinkTable l
WHERE n.idName=l.idName AND p.idPhone=l.idPhone
